// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/sip/repomanager/repomanager.proto

package repomanager

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// GitLabPermission according to the possible roles in gitLab
type GitLabPermission int32

const (
	GitLabPermission_UNDEFINED  GitLabPermission = 0
	GitLabPermission_GUEST      GitLabPermission = 1
	GitLabPermission_REPORTER   GitLabPermission = 2
	GitLabPermission_DEVELOPER  GitLabPermission = 3
	GitLabPermission_MAINTAINER GitLabPermission = 4
	GitLabPermission_OWNER      GitLabPermission = 5
)

// Enum value maps for GitLabPermission.
var (
	GitLabPermission_name = map[int32]string{
		0: "UNDEFINED",
		1: "GUEST",
		2: "REPORTER",
		3: "DEVELOPER",
		4: "MAINTAINER",
		5: "OWNER",
	}
	GitLabPermission_value = map[string]int32{
		"UNDEFINED":  0,
		"GUEST":      1,
		"REPORTER":   2,
		"DEVELOPER":  3,
		"MAINTAINER": 4,
		"OWNER":      5,
	}
)

func (x GitLabPermission) Enum() *GitLabPermission {
	p := new(GitLabPermission)
	*p = x
	return p
}

func (x GitLabPermission) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (GitLabPermission) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_sip_repomanager_repomanager_proto_enumTypes[0].Descriptor()
}

func (GitLabPermission) Type() protoreflect.EnumType {
	return &file_vseth_sip_repomanager_repomanager_proto_enumTypes[0]
}

func (x GitLabPermission) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use GitLabPermission.Descriptor instead.
func (GitLabPermission) EnumDescriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{0}
}

type CreateProjectMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ProjectName      string          `protobuf:"bytes,1,opt,name=project_name,json=projectName,proto3" json:"project_name,omitempty"`
	Description      string          `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	Parent           *GitlabGroup    `protobuf:"bytes,4,opt,name=parent,proto3" json:"parent,omitempty"`
	SelectedTemplate *TemplateAnswer `protobuf:"bytes,5,opt,name=selected_template,json=selectedTemplate,proto3" json:"selected_template,omitempty"`
	BaseImage        *BaseImage      `protobuf:"bytes,6,opt,name=base_image,json=baseImage,proto3" json:"base_image,omitempty"` //If no baseImage is set then no Dockerfile is created
	Avatar           []byte          `protobuf:"bytes,7,opt,name=avatar,proto3" json:"avatar,omitempty"`
}

func (x *CreateProjectMessage) Reset() {
	*x = CreateProjectMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateProjectMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateProjectMessage) ProtoMessage() {}

func (x *CreateProjectMessage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateProjectMessage.ProtoReflect.Descriptor instead.
func (*CreateProjectMessage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{0}
}

func (x *CreateProjectMessage) GetProjectName() string {
	if x != nil {
		return x.ProjectName
	}
	return ""
}

func (x *CreateProjectMessage) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *CreateProjectMessage) GetParent() *GitlabGroup {
	if x != nil {
		return x.Parent
	}
	return nil
}

func (x *CreateProjectMessage) GetSelectedTemplate() *TemplateAnswer {
	if x != nil {
		return x.SelectedTemplate
	}
	return nil
}

func (x *CreateProjectMessage) GetBaseImage() *BaseImage {
	if x != nil {
		return x.BaseImage
	}
	return nil
}

func (x *CreateProjectMessage) GetAvatar() []byte {
	if x != nil {
		return x.Avatar
	}
	return nil
}

type TemplateMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name                    string      `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Description             string      `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	Id                      string      `protobuf:"bytes,3,opt,name=id,proto3" json:"id,omitempty"`
	TemplateConfigOptions   *JsonSchema `protobuf:"bytes,4,opt,name=template_config_options,json=templateConfigOptions,proto3" json:"template_config_options,omitempty"`
	GateKeeperConfigOptions *JsonSchema `protobuf:"bytes,5,opt,name=gate_keeper_config_options,json=gateKeeperConfigOptions,proto3" json:"gate_keeper_config_options,omitempty"`
	Icon                    []byte      `protobuf:"bytes,6,opt,name=icon,proto3" json:"icon,omitempty"`
}

func (x *TemplateMessage) Reset() {
	*x = TemplateMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TemplateMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TemplateMessage) ProtoMessage() {}

func (x *TemplateMessage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TemplateMessage.ProtoReflect.Descriptor instead.
func (*TemplateMessage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{1}
}

func (x *TemplateMessage) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *TemplateMessage) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *TemplateMessage) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *TemplateMessage) GetTemplateConfigOptions() *JsonSchema {
	if x != nil {
		return x.TemplateConfigOptions
	}
	return nil
}

func (x *TemplateMessage) GetGateKeeperConfigOptions() *JsonSchema {
	if x != nil {
		return x.GateKeeperConfigOptions
	}
	return nil
}

func (x *TemplateMessage) GetIcon() []byte {
	if x != nil {
		return x.Icon
	}
	return nil
}

type TemplateAnswer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                 string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	FormDataTemplate   string `protobuf:"bytes,2,opt,name=form_data_template,json=formDataTemplate,proto3" json:"form_data_template,omitempty"`       //jsonschema formdata https://github.com/mozilla-services/react-jsonschema-form
	FormDataGatekeeper string `protobuf:"bytes,3,opt,name=form_data_gatekeeper,json=formDataGatekeeper,proto3" json:"form_data_gatekeeper,omitempty"` //jsonschema formdata
}

func (x *TemplateAnswer) Reset() {
	*x = TemplateAnswer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TemplateAnswer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TemplateAnswer) ProtoMessage() {}

func (x *TemplateAnswer) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TemplateAnswer.ProtoReflect.Descriptor instead.
func (*TemplateAnswer) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{2}
}

func (x *TemplateAnswer) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *TemplateAnswer) GetFormDataTemplate() string {
	if x != nil {
		return x.FormDataTemplate
	}
	return ""
}

func (x *TemplateAnswer) GetFormDataGatekeeper() string {
	if x != nil {
		return x.FormDataGatekeeper
	}
	return ""
}

// https://github.com/mozilla-services/react-jsonschema-form
type JsonSchema struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Schema   string `protobuf:"bytes,1,opt,name=schema,proto3" json:"schema,omitempty"`
	Uischema string `protobuf:"bytes,2,opt,name=uischema,proto3" json:"uischema,omitempty"`
}

func (x *JsonSchema) Reset() {
	*x = JsonSchema{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JsonSchema) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JsonSchema) ProtoMessage() {}

func (x *JsonSchema) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JsonSchema.ProtoReflect.Descriptor instead.
func (*JsonSchema) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{3}
}

func (x *JsonSchema) GetSchema() string {
	if x != nil {
		return x.Schema
	}
	return ""
}

func (x *JsonSchema) GetUischema() string {
	if x != nil {
		return x.Uischema
	}
	return ""
}

type GitlabGroup struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name        string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Description string `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	FullPath    string `protobuf:"bytes,4,opt,name=full_path,json=fullPath,proto3" json:"full_path,omitempty"`
}

func (x *GitlabGroup) Reset() {
	*x = GitlabGroup{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GitlabGroup) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GitlabGroup) ProtoMessage() {}

func (x *GitlabGroup) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GitlabGroup.ProtoReflect.Descriptor instead.
func (*GitlabGroup) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{4}
}

func (x *GitlabGroup) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *GitlabGroup) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *GitlabGroup) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *GitlabGroup) GetFullPath() string {
	if x != nil {
		return x.FullPath
	}
	return ""
}

type Nethz struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nethz string `protobuf:"bytes,1,opt,name=nethz,proto3" json:"nethz,omitempty"`
}

func (x *Nethz) Reset() {
	*x = Nethz{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Nethz) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Nethz) ProtoMessage() {}

func (x *Nethz) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Nethz.ProtoReflect.Descriptor instead.
func (*Nethz) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{5}
}

func (x *Nethz) GetNethz() string {
	if x != nil {
		return x.Nethz
	}
	return ""
}

type CreateProjectAnswer struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	GitlabUrl   string `protobuf:"bytes,1,opt,name=gitlab_url,json=gitlabUrl,proto3" json:"gitlab_url,omitempty"`
	TeamcityUrl string `protobuf:"bytes,2,opt,name=teamcity_url,json=teamcityUrl,proto3" json:"teamcity_url,omitempty"`
}

func (x *CreateProjectAnswer) Reset() {
	*x = CreateProjectAnswer{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateProjectAnswer) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateProjectAnswer) ProtoMessage() {}

func (x *CreateProjectAnswer) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateProjectAnswer.ProtoReflect.Descriptor instead.
func (*CreateProjectAnswer) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{6}
}

func (x *CreateProjectAnswer) GetGitlabUrl() string {
	if x != nil {
		return x.GitlabUrl
	}
	return ""
}

func (x *CreateProjectAnswer) GetTeamcityUrl() string {
	if x != nil {
		return x.TeamcityUrl
	}
	return ""
}

type EmptyMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *EmptyMessage) Reset() {
	*x = EmptyMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmptyMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmptyMessage) ProtoMessage() {}

func (x *EmptyMessage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmptyMessage.ProtoReflect.Descriptor instead.
func (*EmptyMessage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{7}
}

type GitlabProject struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id              int32                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name            string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Description     string                 `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	AvatarUrl       string                 `protobuf:"bytes,4,opt,name=avatar_url,json=avatarUrl,proto3" json:"avatar_url,omitempty"`
	ReadmeUrl       string                 `protobuf:"bytes,5,opt,name=readme_url,json=readmeUrl,proto3" json:"readme_url,omitempty"`
	Url             string                 `protobuf:"bytes,6,opt,name=url,proto3" json:"url,omitempty"`
	FullPath        string                 `protobuf:"bytes,7,opt,name=full_path,json=fullPath,proto3" json:"full_path,omitempty"`
	Avatar          []byte                 `protobuf:"bytes,8,opt,name=avatar,proto3" json:"avatar,omitempty"`
	Readme          string                 `protobuf:"bytes,9,opt,name=readme,proto3" json:"readme,omitempty"`
	CreatedAt       *timestamppb.Timestamp `protobuf:"bytes,10,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	LastActivityAt  *timestamppb.Timestamp `protobuf:"bytes,11,opt,name=last_activity_at,json=lastActivityAt,proto3" json:"last_activity_at,omitempty"`
	Branches        []string               `protobuf:"bytes,12,rep,name=branches,proto3" json:"branches,omitempty"`
	OpenIssuesCount int32                  `protobuf:"varint,13,opt,name=open_issues_count,json=openIssuesCount,proto3" json:"open_issues_count,omitempty"`
	// @@experimental by admin till 22.05.2023
	NamespacePath string `protobuf:"bytes,14,opt,name=namespace_path,json=namespacePath,proto3" json:"namespace_path,omitempty"`
}

func (x *GitlabProject) Reset() {
	*x = GitlabProject{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GitlabProject) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GitlabProject) ProtoMessage() {}

func (x *GitlabProject) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GitlabProject.ProtoReflect.Descriptor instead.
func (*GitlabProject) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{8}
}

func (x *GitlabProject) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *GitlabProject) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *GitlabProject) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *GitlabProject) GetAvatarUrl() string {
	if x != nil {
		return x.AvatarUrl
	}
	return ""
}

func (x *GitlabProject) GetReadmeUrl() string {
	if x != nil {
		return x.ReadmeUrl
	}
	return ""
}

func (x *GitlabProject) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *GitlabProject) GetFullPath() string {
	if x != nil {
		return x.FullPath
	}
	return ""
}

func (x *GitlabProject) GetAvatar() []byte {
	if x != nil {
		return x.Avatar
	}
	return nil
}

func (x *GitlabProject) GetReadme() string {
	if x != nil {
		return x.Readme
	}
	return ""
}

func (x *GitlabProject) GetCreatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *GitlabProject) GetLastActivityAt() *timestamppb.Timestamp {
	if x != nil {
		return x.LastActivityAt
	}
	return nil
}

func (x *GitlabProject) GetBranches() []string {
	if x != nil {
		return x.Branches
	}
	return nil
}

func (x *GitlabProject) GetOpenIssuesCount() int32 {
	if x != nil {
		return x.OpenIssuesCount
	}
	return 0
}

func (x *GitlabProject) GetNamespacePath() string {
	if x != nil {
		return x.NamespacePath
	}
	return ""
}

type BaseImage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name        string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	DockerFrom  string `protobuf:"bytes,2,opt,name=docker_from,json=dockerFrom,proto3" json:"docker_from,omitempty"`
	TeamcityId  string `protobuf:"bytes,3,opt,name=teamcity_id,json=teamcityId,proto3" json:"teamcity_id,omitempty"`
	GitlabPath  string `protobuf:"bytes,4,opt,name=gitlab_path,json=gitlabPath,proto3" json:"gitlab_path,omitempty"`
	Description string `protobuf:"bytes,5,opt,name=description,proto3" json:"description,omitempty"`
}

func (x *BaseImage) Reset() {
	*x = BaseImage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BaseImage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BaseImage) ProtoMessage() {}

func (x *BaseImage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BaseImage.ProtoReflect.Descriptor instead.
func (*BaseImage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{9}
}

func (x *BaseImage) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *BaseImage) GetDockerFrom() string {
	if x != nil {
		return x.DockerFrom
	}
	return ""
}

func (x *BaseImage) GetTeamcityId() string {
	if x != nil {
		return x.TeamcityId
	}
	return ""
}

func (x *BaseImage) GetGitlabPath() string {
	if x != nil {
		return x.GitlabPath
	}
	return ""
}

func (x *BaseImage) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

type AddUserToGroupMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nethz       *Nethz           `protobuf:"bytes,1,opt,name=nethz,proto3" json:"nethz,omitempty"`
	GitlabGroup *GitlabGroup     `protobuf:"bytes,2,opt,name=gitlab_group,json=gitlabGroup,proto3" json:"gitlab_group,omitempty"`
	Permission  GitLabPermission `protobuf:"varint,3,opt,name=permission,proto3,enum=vseth.sip.repomanager.GitLabPermission" json:"permission,omitempty"`
}

func (x *AddUserToGroupMessage) Reset() {
	*x = AddUserToGroupMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddUserToGroupMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddUserToGroupMessage) ProtoMessage() {}

func (x *AddUserToGroupMessage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddUserToGroupMessage.ProtoReflect.Descriptor instead.
func (*AddUserToGroupMessage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{10}
}

func (x *AddUserToGroupMessage) GetNethz() *Nethz {
	if x != nil {
		return x.Nethz
	}
	return nil
}

func (x *AddUserToGroupMessage) GetGitlabGroup() *GitlabGroup {
	if x != nil {
		return x.GitlabGroup
	}
	return nil
}

func (x *AddUserToGroupMessage) GetPermission() GitLabPermission {
	if x != nil {
		return x.Permission
	}
	return GitLabPermission_UNDEFINED
}

type RemoveUserFromGroupMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nethz       *Nethz       `protobuf:"bytes,1,opt,name=nethz,proto3" json:"nethz,omitempty"`
	GitlabGroup *GitlabGroup `protobuf:"bytes,2,opt,name=gitlab_group,json=gitlabGroup,proto3" json:"gitlab_group,omitempty"`
}

func (x *RemoveUserFromGroupMessage) Reset() {
	*x = RemoveUserFromGroupMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RemoveUserFromGroupMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RemoveUserFromGroupMessage) ProtoMessage() {}

func (x *RemoveUserFromGroupMessage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RemoveUserFromGroupMessage.ProtoReflect.Descriptor instead.
func (*RemoveUserFromGroupMessage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{11}
}

func (x *RemoveUserFromGroupMessage) GetNethz() *Nethz {
	if x != nil {
		return x.Nethz
	}
	return nil
}

func (x *RemoveUserFromGroupMessage) GetGitlabGroup() *GitlabGroup {
	if x != nil {
		return x.GitlabGroup
	}
	return nil
}

type Url struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Url string `protobuf:"bytes,1,opt,name=url,proto3" json:"url,omitempty"`
}

func (x *Url) Reset() {
	*x = Url{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Url) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Url) ProtoMessage() {}

func (x *Url) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Url.ProtoReflect.Descriptor instead.
func (*Url) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{12}
}

func (x *Url) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

type SetBaseImageTriggerMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BuildId string   `protobuf:"bytes,1,opt,name=build_id,json=buildId,proto3" json:"build_id,omitempty"`
	Images  []string `protobuf:"bytes,2,rep,name=images,proto3" json:"images,omitempty"` //FROM statements in the docker file
	Branch  string   `protobuf:"bytes,3,opt,name=branch,proto3" json:"branch,omitempty"`
}

func (x *SetBaseImageTriggerMessage) Reset() {
	*x = SetBaseImageTriggerMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SetBaseImageTriggerMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SetBaseImageTriggerMessage) ProtoMessage() {}

func (x *SetBaseImageTriggerMessage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SetBaseImageTriggerMessage.ProtoReflect.Descriptor instead.
func (*SetBaseImageTriggerMessage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{13}
}

func (x *SetBaseImageTriggerMessage) GetBuildId() string {
	if x != nil {
		return x.BuildId
	}
	return ""
}

func (x *SetBaseImageTriggerMessage) GetImages() []string {
	if x != nil {
		return x.Images
	}
	return nil
}

func (x *SetBaseImageTriggerMessage) GetBranch() string {
	if x != nil {
		return x.Branch
	}
	return ""
}

type MoveProjectMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Project       *GitlabProject `protobuf:"bytes,1,opt,name=project,proto3" json:"project,omitempty"`
	TargetGroupId int32          `protobuf:"varint,2,opt,name=target_group_id,json=targetGroupId,proto3" json:"target_group_id,omitempty"`
}

func (x *MoveProjectMessage) Reset() {
	*x = MoveProjectMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MoveProjectMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MoveProjectMessage) ProtoMessage() {}

func (x *MoveProjectMessage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_repomanager_repomanager_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MoveProjectMessage.ProtoReflect.Descriptor instead.
func (*MoveProjectMessage) Descriptor() ([]byte, []int) {
	return file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP(), []int{14}
}

func (x *MoveProjectMessage) GetProject() *GitlabProject {
	if x != nil {
		return x.Project
	}
	return nil
}

func (x *MoveProjectMessage) GetTargetGroupId() int32 {
	if x != nil {
		return x.TargetGroupId
	}
	return 0
}

var File_vseth_sip_repomanager_repomanager_proto protoreflect.FileDescriptor

var file_vseth_sip_repomanager_repomanager_proto_rawDesc = []byte{
	0x0a, 0x27, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x73, 0x69, 0x70, 0x2f, 0x72, 0x65, 0x70, 0x6f,
	0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61,
	0x67, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x15, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72,
	0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0xc4, 0x02, 0x0a, 0x14, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x70, 0x72,
	0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a,
	0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x3a, 0x0a, 0x06, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x22, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f,
	0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x47, 0x72,
	0x6f, 0x75, 0x70, 0x52, 0x06, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x12, 0x52, 0x0a, 0x11, 0x73,
	0x65, 0x6c, 0x65, 0x63, 0x74, 0x65, 0x64, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73,
	0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x54,
	0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x52, 0x10, 0x73,
	0x65, 0x6c, 0x65, 0x63, 0x74, 0x65, 0x64, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x12,
	0x3f, 0x0a, 0x0a, 0x62, 0x61, 0x73, 0x65, 0x5f, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x42, 0x61, 0x73, 0x65,
	0x49, 0x6d, 0x61, 0x67, 0x65, 0x52, 0x09, 0x62, 0x61, 0x73, 0x65, 0x49, 0x6d, 0x61, 0x67, 0x65,
	0x12, 0x16, 0x0a, 0x06, 0x61, 0x76, 0x61, 0x74, 0x61, 0x72, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0c,
	0x52, 0x06, 0x61, 0x76, 0x61, 0x74, 0x61, 0x72, 0x22, 0xa6, 0x02, 0x0a, 0x0f, 0x54, 0x65, 0x6d,
	0x70, 0x6c, 0x61, 0x74, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x59, 0x0a, 0x17, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x5f, 0x63,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x4a, 0x73, 0x6f, 0x6e,
	0x53, 0x63, 0x68, 0x65, 0x6d, 0x61, 0x52, 0x15, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x5e, 0x0a,
	0x1a, 0x67, 0x61, 0x74, 0x65, 0x5f, 0x6b, 0x65, 0x65, 0x70, 0x65, 0x72, 0x5f, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x5f, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65,
	0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x4a, 0x73, 0x6f, 0x6e, 0x53, 0x63,
	0x68, 0x65, 0x6d, 0x61, 0x52, 0x17, 0x67, 0x61, 0x74, 0x65, 0x4b, 0x65, 0x65, 0x70, 0x65, 0x72,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x12, 0x0a,
	0x04, 0x69, 0x63, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x69, 0x63, 0x6f,
	0x6e, 0x22, 0x80, 0x01, 0x0a, 0x0e, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x41, 0x6e,
	0x73, 0x77, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x2c, 0x0a, 0x12, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x64, 0x61, 0x74,
	0x61, 0x5f, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x10, 0x66, 0x6f, 0x72, 0x6d, 0x44, 0x61, 0x74, 0x61, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61,
	0x74, 0x65, 0x12, 0x30, 0x0a, 0x14, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x64, 0x61, 0x74, 0x61, 0x5f,
	0x67, 0x61, 0x74, 0x65, 0x6b, 0x65, 0x65, 0x70, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x12, 0x66, 0x6f, 0x72, 0x6d, 0x44, 0x61, 0x74, 0x61, 0x47, 0x61, 0x74, 0x65, 0x6b, 0x65,
	0x65, 0x70, 0x65, 0x72, 0x22, 0x40, 0x0a, 0x0a, 0x4a, 0x73, 0x6f, 0x6e, 0x53, 0x63, 0x68, 0x65,
	0x6d, 0x61, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x61, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x61, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x69,
	0x73, 0x63, 0x68, 0x65, 0x6d, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x69,
	0x73, 0x63, 0x68, 0x65, 0x6d, 0x61, 0x22, 0x70, 0x0a, 0x0b, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1b, 0x0a, 0x09, 0x66,
	0x75, 0x6c, 0x6c, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x66, 0x75, 0x6c, 0x6c, 0x50, 0x61, 0x74, 0x68, 0x22, 0x1d, 0x0a, 0x05, 0x4e, 0x65, 0x74, 0x68,
	0x7a, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x65, 0x74, 0x68, 0x7a, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x6e, 0x65, 0x74, 0x68, 0x7a, 0x22, 0x57, 0x0a, 0x13, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x12, 0x1d,
	0x0a, 0x0a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x09, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x55, 0x72, 0x6c, 0x12, 0x21, 0x0a,
	0x0c, 0x74, 0x65, 0x61, 0x6d, 0x63, 0x69, 0x74, 0x79, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0b, 0x74, 0x65, 0x61, 0x6d, 0x63, 0x69, 0x74, 0x79, 0x55, 0x72, 0x6c,
	0x22, 0x0e, 0x0a, 0x0c, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x22, 0xe2, 0x03, 0x0a, 0x0d, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x50, 0x72, 0x6f, 0x6a, 0x65,
	0x63, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x61, 0x76, 0x61, 0x74,
	0x61, 0x72, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x61, 0x76,
	0x61, 0x74, 0x61, 0x72, 0x55, 0x72, 0x6c, 0x12, 0x1d, 0x0a, 0x0a, 0x72, 0x65, 0x61, 0x64, 0x6d,
	0x65, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x72, 0x65, 0x61,
	0x64, 0x6d, 0x65, 0x55, 0x72, 0x6c, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x75, 0x6c, 0x6c,
	0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x75, 0x6c,
	0x6c, 0x50, 0x61, 0x74, 0x68, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x76, 0x61, 0x74, 0x61, 0x72, 0x18,
	0x08, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x06, 0x61, 0x76, 0x61, 0x74, 0x61, 0x72, 0x12, 0x16, 0x0a,
	0x06, 0x72, 0x65, 0x61, 0x64, 0x6d, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72,
	0x65, 0x61, 0x64, 0x6d, 0x65, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64,
	0x5f, 0x61, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74,
	0x12, 0x44, 0x0a, 0x10, 0x6c, 0x61, 0x73, 0x74, 0x5f, 0x61, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74,
	0x79, 0x5f, 0x61, 0x74, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0e, 0x6c, 0x61, 0x73, 0x74, 0x41, 0x63, 0x74, 0x69,
	0x76, 0x69, 0x74, 0x79, 0x41, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68,
	0x65, 0x73, 0x18, 0x0c, 0x20, 0x03, 0x28, 0x09, 0x52, 0x08, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68,
	0x65, 0x73, 0x12, 0x2a, 0x0a, 0x11, 0x6f, 0x70, 0x65, 0x6e, 0x5f, 0x69, 0x73, 0x73, 0x75, 0x65,
	0x73, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0f, 0x6f,
	0x70, 0x65, 0x6e, 0x49, 0x73, 0x73, 0x75, 0x65, 0x73, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x25,
	0x0a, 0x0e, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x5f, 0x70, 0x61, 0x74, 0x68,
	0x18, 0x0e, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63,
	0x65, 0x50, 0x61, 0x74, 0x68, 0x22, 0xa4, 0x01, 0x0a, 0x09, 0x42, 0x61, 0x73, 0x65, 0x49, 0x6d,
	0x61, 0x67, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x64, 0x6f, 0x63, 0x6b, 0x65,
	0x72, 0x5f, 0x66, 0x72, 0x6f, 0x6d, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x64, 0x6f,
	0x63, 0x6b, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x65, 0x61, 0x6d,
	0x63, 0x69, 0x74, 0x79, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x74,
	0x65, 0x61, 0x6d, 0x63, 0x69, 0x74, 0x79, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x5f, 0x70, 0x61, 0x74, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x50, 0x61, 0x74, 0x68, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xdb, 0x01, 0x0a,
	0x15, 0x41, 0x64, 0x64, 0x55, 0x73, 0x65, 0x72, 0x54, 0x6f, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4d,
	0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x32, 0x0a, 0x05, 0x6e, 0x65, 0x74, 0x68, 0x7a, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x4e, 0x65,
	0x74, 0x68, 0x7a, 0x52, 0x05, 0x6e, 0x65, 0x74, 0x68, 0x7a, 0x12, 0x45, 0x0a, 0x0c, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x22, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70,
	0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x47,
	0x72, 0x6f, 0x75, 0x70, 0x52, 0x0b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x47, 0x72, 0x6f, 0x75,
	0x70, 0x12, 0x47, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x27, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69,
	0x74, 0x4c, 0x61, 0x62, 0x50, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x0a,
	0x70, 0x65, 0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x22, 0x97, 0x01, 0x0a, 0x1a, 0x52,
	0x65, 0x6d, 0x6f, 0x76, 0x65, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x32, 0x0a, 0x05, 0x6e, 0x65, 0x74,
	0x68, 0x7a, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72,
	0x2e, 0x4e, 0x65, 0x74, 0x68, 0x7a, 0x52, 0x05, 0x6e, 0x65, 0x74, 0x68, 0x7a, 0x12, 0x45, 0x0a,
	0x0c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x0b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x47,
	0x72, 0x6f, 0x75, 0x70, 0x22, 0x17, 0x0a, 0x03, 0x55, 0x72, 0x6c, 0x12, 0x10, 0x0a, 0x03, 0x75,
	0x72, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x22, 0x67, 0x0a,
	0x1a, 0x53, 0x65, 0x74, 0x42, 0x61, 0x73, 0x65, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x54, 0x72, 0x69,
	0x67, 0x67, 0x65, 0x72, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x62,
	0x75, 0x69, 0x6c, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x62,
	0x75, 0x69, 0x6c, 0x64, 0x49, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x73,
	0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x69, 0x6d, 0x61, 0x67, 0x65, 0x73, 0x12, 0x16,
	0x0a, 0x06, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x62, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x22, 0x7c, 0x0a, 0x12, 0x4d, 0x6f, 0x76, 0x65, 0x50, 0x72,
	0x6f, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x3e, 0x0a, 0x07,
	0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61,
	0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x50, 0x72, 0x6f, 0x6a,
	0x65, 0x63, 0x74, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x26, 0x0a, 0x0f,
	0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x49, 0x64, 0x2a, 0x64, 0x0a, 0x10, 0x47, 0x69, 0x74, 0x4c, 0x61, 0x62, 0x50, 0x65,
	0x72, 0x6d, 0x69, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x12, 0x0d, 0x0a, 0x09, 0x55, 0x4e, 0x44, 0x45,
	0x46, 0x49, 0x4e, 0x45, 0x44, 0x10, 0x00, 0x12, 0x09, 0x0a, 0x05, 0x47, 0x55, 0x45, 0x53, 0x54,
	0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x52, 0x45, 0x50, 0x4f, 0x52, 0x54, 0x45, 0x52, 0x10, 0x02,
	0x12, 0x0d, 0x0a, 0x09, 0x44, 0x45, 0x56, 0x45, 0x4c, 0x4f, 0x50, 0x45, 0x52, 0x10, 0x03, 0x12,
	0x0e, 0x0a, 0x0a, 0x4d, 0x41, 0x49, 0x4e, 0x54, 0x41, 0x49, 0x4e, 0x45, 0x52, 0x10, 0x04, 0x12,
	0x09, 0x0a, 0x05, 0x4f, 0x57, 0x4e, 0x45, 0x52, 0x10, 0x05, 0x32, 0xf7, 0x0a, 0x0a, 0x0b, 0x52,
	0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x12, 0x68, 0x0a, 0x0d, 0x43, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x41, 0x6e, 0x64, 0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x2b, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61,
	0x67, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63,
	0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x2a, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72,
	0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x41, 0x6e,
	0x73, 0x77, 0x65, 0x72, 0x12, 0x56, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70,
	0x73, 0x46, 0x6f, 0x72, 0x55, 0x73, 0x65, 0x72, 0x12, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72,
	0x2e, 0x4e, 0x65, 0x74, 0x68, 0x7a, 0x1a, 0x22, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73,
	0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x30, 0x01, 0x12, 0x57, 0x0a, 0x0b,
	0x46, 0x6c, 0x75, 0x73, 0x68, 0x43, 0x61, 0x63, 0x68, 0x65, 0x73, 0x12, 0x23, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61,
	0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x1a, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70,
	0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x58, 0x0a, 0x0d, 0x47, 0x65, 0x74, 0x42, 0x61, 0x73, 0x65,
	0x49, 0x6d, 0x61, 0x67, 0x65, 0x73, 0x12, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73,
	0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45,
	0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x20, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61,
	0x67, 0x65, 0x72, 0x2e, 0x42, 0x61, 0x73, 0x65, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x30, 0x01, 0x12,
	0x69, 0x0a, 0x14, 0x41, 0x64, 0x64, 0x55, 0x73, 0x65, 0x72, 0x54, 0x6f, 0x47, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x2c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e,
	0x41, 0x64, 0x64, 0x55, 0x73, 0x65, 0x72, 0x54, 0x6f, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x4d, 0x65,
	0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x73, 0x0a, 0x19, 0x52, 0x65,
	0x6d, 0x6f, 0x76, 0x65, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x47, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x31, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e,
	0x52, 0x65, 0x6d, 0x6f, 0x76, 0x65, 0x55, 0x73, 0x65, 0x72, 0x46, 0x72, 0x6f, 0x6d, 0x47, 0x72,
	0x6f, 0x75, 0x70, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x23, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67,
	0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12,
	0x61, 0x0a, 0x14, 0x4c, 0x69, 0x6e, 0x6b, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x54, 0x6f, 0x54,
	0x65, 0x61, 0x6d, 0x63, 0x69, 0x74, 0x79, 0x12, 0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e,
	0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x1a, 0x23, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61,
	0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x12, 0x5d, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74,
	0x65, 0x73, 0x12, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72,
	0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a, 0x26, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e,
	0x54, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x30,
	0x01, 0x12, 0x58, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12,
	0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f,
	0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x50, 0x72,
	0x6f, 0x6a, 0x65, 0x63, 0x74, 0x1a, 0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x5d, 0x0a, 0x0e, 0x47,
	0x65, 0x74, 0x41, 0x6c, 0x6c, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x12, 0x23, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61,
	0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x1a, 0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72,
	0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x30, 0x01, 0x12, 0x63, 0x0a, 0x16, 0x53, 0x65,
	0x74, 0x54, 0x65, 0x61, 0x6d, 0x63, 0x69, 0x74, 0x79, 0x4b, 0x65, 0x79, 0x49, 0x6e, 0x47, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x12, 0x24, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70,
	0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x47, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x1a, 0x23, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67,
	0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12,
	0x76, 0x0a, 0x1c, 0x53, 0x65, 0x74, 0x42, 0x61, 0x73, 0x65, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x54,
	0x72, 0x69, 0x67, 0x67, 0x65, 0x72, 0x54, 0x6f, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12,
	0x31, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f,
	0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x53, 0x65, 0x74, 0x42, 0x61, 0x73, 0x65, 0x49,
	0x6d, 0x61, 0x67, 0x65, 0x54, 0x72, 0x69, 0x67, 0x67, 0x65, 0x72, 0x4d, 0x65, 0x73, 0x73, 0x61,
	0x67, 0x65, 0x1a, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72,
	0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79,
	0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x64, 0x0a, 0x0b, 0x4d, 0x6f, 0x76, 0x65, 0x50,
	0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x29, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73,
	0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x4d,
	0x6f, 0x76, 0x65, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x1a, 0x2a, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65,
	0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x41, 0x6e, 0x73, 0x77, 0x65, 0x72, 0x12, 0x55, 0x0a,
	0x09, 0x53, 0x79, 0x6e, 0x63, 0x55, 0x73, 0x65, 0x72, 0x73, 0x12, 0x23, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67,
	0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x1a,
	0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f,
	0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x4d, 0x65, 0x73,
	0x73, 0x61, 0x67, 0x65, 0x42, 0x6c, 0x0a, 0x18, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67, 0x65, 0x72,
	0x50, 0x01, 0x5a, 0x4e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e,
	0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73,
	0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2f, 0x73, 0x69, 0x70, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x6d, 0x61, 0x6e, 0x61, 0x67,
	0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_sip_repomanager_repomanager_proto_rawDescOnce sync.Once
	file_vseth_sip_repomanager_repomanager_proto_rawDescData = file_vseth_sip_repomanager_repomanager_proto_rawDesc
)

func file_vseth_sip_repomanager_repomanager_proto_rawDescGZIP() []byte {
	file_vseth_sip_repomanager_repomanager_proto_rawDescOnce.Do(func() {
		file_vseth_sip_repomanager_repomanager_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_sip_repomanager_repomanager_proto_rawDescData)
	})
	return file_vseth_sip_repomanager_repomanager_proto_rawDescData
}

var file_vseth_sip_repomanager_repomanager_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_vseth_sip_repomanager_repomanager_proto_msgTypes = make([]protoimpl.MessageInfo, 15)
var file_vseth_sip_repomanager_repomanager_proto_goTypes = []interface{}{
	(GitLabPermission)(0),              // 0: vseth.sip.repomanager.GitLabPermission
	(*CreateProjectMessage)(nil),       // 1: vseth.sip.repomanager.CreateProjectMessage
	(*TemplateMessage)(nil),            // 2: vseth.sip.repomanager.TemplateMessage
	(*TemplateAnswer)(nil),             // 3: vseth.sip.repomanager.TemplateAnswer
	(*JsonSchema)(nil),                 // 4: vseth.sip.repomanager.JsonSchema
	(*GitlabGroup)(nil),                // 5: vseth.sip.repomanager.GitlabGroup
	(*Nethz)(nil),                      // 6: vseth.sip.repomanager.Nethz
	(*CreateProjectAnswer)(nil),        // 7: vseth.sip.repomanager.CreateProjectAnswer
	(*EmptyMessage)(nil),               // 8: vseth.sip.repomanager.EmptyMessage
	(*GitlabProject)(nil),              // 9: vseth.sip.repomanager.GitlabProject
	(*BaseImage)(nil),                  // 10: vseth.sip.repomanager.BaseImage
	(*AddUserToGroupMessage)(nil),      // 11: vseth.sip.repomanager.AddUserToGroupMessage
	(*RemoveUserFromGroupMessage)(nil), // 12: vseth.sip.repomanager.RemoveUserFromGroupMessage
	(*Url)(nil),                        // 13: vseth.sip.repomanager.Url
	(*SetBaseImageTriggerMessage)(nil), // 14: vseth.sip.repomanager.SetBaseImageTriggerMessage
	(*MoveProjectMessage)(nil),         // 15: vseth.sip.repomanager.MoveProjectMessage
	(*timestamppb.Timestamp)(nil),      // 16: google.protobuf.Timestamp
}
var file_vseth_sip_repomanager_repomanager_proto_depIdxs = []int32{
	5,  // 0: vseth.sip.repomanager.CreateProjectMessage.parent:type_name -> vseth.sip.repomanager.GitlabGroup
	3,  // 1: vseth.sip.repomanager.CreateProjectMessage.selected_template:type_name -> vseth.sip.repomanager.TemplateAnswer
	10, // 2: vseth.sip.repomanager.CreateProjectMessage.base_image:type_name -> vseth.sip.repomanager.BaseImage
	4,  // 3: vseth.sip.repomanager.TemplateMessage.template_config_options:type_name -> vseth.sip.repomanager.JsonSchema
	4,  // 4: vseth.sip.repomanager.TemplateMessage.gate_keeper_config_options:type_name -> vseth.sip.repomanager.JsonSchema
	16, // 5: vseth.sip.repomanager.GitlabProject.created_at:type_name -> google.protobuf.Timestamp
	16, // 6: vseth.sip.repomanager.GitlabProject.last_activity_at:type_name -> google.protobuf.Timestamp
	6,  // 7: vseth.sip.repomanager.AddUserToGroupMessage.nethz:type_name -> vseth.sip.repomanager.Nethz
	5,  // 8: vseth.sip.repomanager.AddUserToGroupMessage.gitlab_group:type_name -> vseth.sip.repomanager.GitlabGroup
	0,  // 9: vseth.sip.repomanager.AddUserToGroupMessage.permission:type_name -> vseth.sip.repomanager.GitLabPermission
	6,  // 10: vseth.sip.repomanager.RemoveUserFromGroupMessage.nethz:type_name -> vseth.sip.repomanager.Nethz
	5,  // 11: vseth.sip.repomanager.RemoveUserFromGroupMessage.gitlab_group:type_name -> vseth.sip.repomanager.GitlabGroup
	9,  // 12: vseth.sip.repomanager.MoveProjectMessage.project:type_name -> vseth.sip.repomanager.GitlabProject
	1,  // 13: vseth.sip.repomanager.Repomanager.CreateAndLink:input_type -> vseth.sip.repomanager.CreateProjectMessage
	6,  // 14: vseth.sip.repomanager.Repomanager.GetGroupsForUser:input_type -> vseth.sip.repomanager.Nethz
	8,  // 15: vseth.sip.repomanager.Repomanager.FlushCaches:input_type -> vseth.sip.repomanager.EmptyMessage
	8,  // 16: vseth.sip.repomanager.Repomanager.GetBaseImages:input_type -> vseth.sip.repomanager.EmptyMessage
	11, // 17: vseth.sip.repomanager.Repomanager.AddUserToGitlabGroup:input_type -> vseth.sip.repomanager.AddUserToGroupMessage
	12, // 18: vseth.sip.repomanager.Repomanager.RemoveUserFromGitlabGroup:input_type -> vseth.sip.repomanager.RemoveUserFromGroupMessage
	9,  // 19: vseth.sip.repomanager.Repomanager.LinkGitlabToTeamcity:input_type -> vseth.sip.repomanager.GitlabProject
	8,  // 20: vseth.sip.repomanager.Repomanager.GetTemplates:input_type -> vseth.sip.repomanager.EmptyMessage
	9,  // 21: vseth.sip.repomanager.Repomanager.GetProject:input_type -> vseth.sip.repomanager.GitlabProject
	8,  // 22: vseth.sip.repomanager.Repomanager.GetAllProjects:input_type -> vseth.sip.repomanager.EmptyMessage
	9,  // 23: vseth.sip.repomanager.Repomanager.SetTeamcityKeyInGitlab:input_type -> vseth.sip.repomanager.GitlabProject
	14, // 24: vseth.sip.repomanager.Repomanager.SetBaseImageTriggerToProject:input_type -> vseth.sip.repomanager.SetBaseImageTriggerMessage
	15, // 25: vseth.sip.repomanager.Repomanager.MoveProject:input_type -> vseth.sip.repomanager.MoveProjectMessage
	8,  // 26: vseth.sip.repomanager.Repomanager.SyncUsers:input_type -> vseth.sip.repomanager.EmptyMessage
	7,  // 27: vseth.sip.repomanager.Repomanager.CreateAndLink:output_type -> vseth.sip.repomanager.CreateProjectAnswer
	5,  // 28: vseth.sip.repomanager.Repomanager.GetGroupsForUser:output_type -> vseth.sip.repomanager.GitlabGroup
	8,  // 29: vseth.sip.repomanager.Repomanager.FlushCaches:output_type -> vseth.sip.repomanager.EmptyMessage
	10, // 30: vseth.sip.repomanager.Repomanager.GetBaseImages:output_type -> vseth.sip.repomanager.BaseImage
	8,  // 31: vseth.sip.repomanager.Repomanager.AddUserToGitlabGroup:output_type -> vseth.sip.repomanager.EmptyMessage
	8,  // 32: vseth.sip.repomanager.Repomanager.RemoveUserFromGitlabGroup:output_type -> vseth.sip.repomanager.EmptyMessage
	8,  // 33: vseth.sip.repomanager.Repomanager.LinkGitlabToTeamcity:output_type -> vseth.sip.repomanager.EmptyMessage
	2,  // 34: vseth.sip.repomanager.Repomanager.GetTemplates:output_type -> vseth.sip.repomanager.TemplateMessage
	9,  // 35: vseth.sip.repomanager.Repomanager.GetProject:output_type -> vseth.sip.repomanager.GitlabProject
	9,  // 36: vseth.sip.repomanager.Repomanager.GetAllProjects:output_type -> vseth.sip.repomanager.GitlabProject
	8,  // 37: vseth.sip.repomanager.Repomanager.SetTeamcityKeyInGitlab:output_type -> vseth.sip.repomanager.EmptyMessage
	8,  // 38: vseth.sip.repomanager.Repomanager.SetBaseImageTriggerToProject:output_type -> vseth.sip.repomanager.EmptyMessage
	7,  // 39: vseth.sip.repomanager.Repomanager.MoveProject:output_type -> vseth.sip.repomanager.CreateProjectAnswer
	8,  // 40: vseth.sip.repomanager.Repomanager.SyncUsers:output_type -> vseth.sip.repomanager.EmptyMessage
	27, // [27:41] is the sub-list for method output_type
	13, // [13:27] is the sub-list for method input_type
	13, // [13:13] is the sub-list for extension type_name
	13, // [13:13] is the sub-list for extension extendee
	0,  // [0:13] is the sub-list for field type_name
}

func init() { file_vseth_sip_repomanager_repomanager_proto_init() }
func file_vseth_sip_repomanager_repomanager_proto_init() {
	if File_vseth_sip_repomanager_repomanager_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateProjectMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TemplateMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TemplateAnswer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JsonSchema); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GitlabGroup); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Nethz); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateProjectAnswer); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmptyMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GitlabProject); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BaseImage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddUserToGroupMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RemoveUserFromGroupMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Url); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SetBaseImageTriggerMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_repomanager_repomanager_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MoveProjectMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_sip_repomanager_repomanager_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   15,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_sip_repomanager_repomanager_proto_goTypes,
		DependencyIndexes: file_vseth_sip_repomanager_repomanager_proto_depIdxs,
		EnumInfos:         file_vseth_sip_repomanager_repomanager_proto_enumTypes,
		MessageInfos:      file_vseth_sip_repomanager_repomanager_proto_msgTypes,
	}.Build()
	File_vseth_sip_repomanager_repomanager_proto = out.File
	file_vseth_sip_repomanager_repomanager_proto_rawDesc = nil
	file_vseth_sip_repomanager_repomanager_proto_goTypes = nil
	file_vseth_sip_repomanager_repomanager_proto_depIdxs = nil
}
